GStreamer::Message::StateChanged(3)

NAME
GStreamer::Message::StateChanged

METHODS

  GstMessage = GStreamer::Message::StateChanged->new ($src, $oldstate, $newstate, $pending)

•   $src (GStreamer::Object)

•   $oldstate (GStreamer::State)

•   $newstate (GStreamer::State)

•   $pending (GStreamer::State)

  state = $message->new_state

  state = $message->old_state

  state = $message->pending

ENUMS AND FLAGS

  enum GStreamer::State

•   'void-pending' / 'GST_STATE_VOID_PENDING'

•   'null' / 'GST_STATE_NULL'

•   'ready' / 'GST_STATE_READY'

•   'paused' / 'GST_STATE_PAUSED'

•   'playing' / 'GST_STATE_PLAYING'

SEE ALSO
GStreamer

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.